var $id_leed = 0;
var $origem = 0;

$(".data-mask").inputmask({
    mask: ["99/99/9999"]
});

$('body').on('click','.set_leed', function(){
   
    $id_leed = $(this).data('id');
    $origem = $(this).data('origem');
    
    $('.erroFormNegarAnuncio').html('');
});

$('body').on('click','.btnAtenderAnuncio', function(){
    
   $data = get_form('#formAtenderAnuncio');
   data.push({"name": 'id_leed', "value": $id_leed});
   data.push({"name": 'origem', "value": $origem});
   
   get_ajax('novoAtendimento', retorno =>{
       
        if(retorno.valid == true)
        {
            location.reload();
        }
        else
        {
            $('.erroFormAtenderAnuncio').html(retorno.msg);
        }
    }, erro =>{
        $('.erroFormAtenderAnuncio').html(erro.msg);
        
    }, $data);
    
});


$('body').on('click','.btnAtualizarData', function(){
    
   $data = get_form('#formAtualizarData');
   data.push({"name": 'id_leed', "value": $id_leed});
   data.push({"name": 'origem', "value": $origem});
   
   get_ajax('atualizarDataCad', retorno =>{
       
        if(retorno.valid == true)
        {
            location.reload();
        }
        else
        {
            $('.erroFormAtualizarData').html(retorno.msg);
        }
    }, erro =>{
        $('.erroFormAtualizarData').html(erro.msg);
        
    }, $data);
    
});

/*
function get_ajax

$func = nome da funcao no php
$success = funcao Callbeck, exemplo = "retorno =>{alert('deu bom');}"
$error = funcao Callbeck
$data = objeto passado no post ajax
*/
function get_ajax($func, $success, $error, $data = []){
    console.log($data);
    $.ajax({
		url: base_url+"administrativo/ajax/atendimento_ajax/"+$func, 
		dataType: 'json',
		type: 'POST',
		data: $data,
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {   
		        $success(retorno);
		    }
		    else
		    {
		        $error(retorno);
		    }
		},
		error: function(error)
		{
		    $error(error);
		}
    });
    
 }